clone.World {galgo} | R Documentation

## Clones itself and its niches

### Description

Clone itself and its niches. Objects in S3 and this package are passed by reference and any “pointer” to it will affect the original object. You must clone an object in order to conserve the original values.

### Usage

    ## S3 method for class 'World'
    clone(.O, ...)

### Value

Returns a new cloned object.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `World`. `Object`

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      ni <- Niche(chromosomes=newRandomCollection(cr, 10))
      wo <- World(niches=newRandomCollection(ni,2))
      wo
      wo2 <- wo
      generateRandom(wo2)
      wo2
      wo			# wo and wo2 are the very same object
      wo3 <- clone(wo2)
      generateRandom(wo3)
      wo3
      wo2			# now wo2 is different to wo3
      wo			# but wo2 is still the same than wo

[Package galgo version 1.4 Index]